import java.util.ArrayList;
import java.util.function.Consumer;

public class EventListener<T> {
    private ArrayList<Consumer<T>> listeners = new ArrayList<>();
    public void Add(Consumer<T> listener) {
        listeners.add(listener);
    }

    public void Emit(T artillery) {
        for (var listener : listeners) {
            listener.accept(artillery);
        }
    }
}
